<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk+" version="2.18"/>
  <!-- interface-naming-policy project-wide -->
  <object class="GtkListStore" id="devlist">
    <columns>
      <!-- column-name devname -->
      <column type="gchararray"/>
      <!-- column-name label -->
      <column type="gchararray"/>
      <!-- column-name filesystem -->
      <column type="gchararray"/>
      <!-- column-name size -->
      <column type="gchararray"/>
      <!-- column-name mounted -->
      <column type="gint"/>
    </columns>
  </object>
  <object class="GtkWindow" id="main_window">
    <property name="can_focus">False</property>
    <property name="border_width">8</property>
    <property name="title" translatable="yes">Fatdog64 Drive Mounter</property>
    <property name="window_position">center</property>
    <property name="default_width">600</property>
    <property name="default_height">400</property>
    <property name="icon">/usr/share/pixmaps/midi-icons/drivemounter.png</property>
    <child>
      <object class="GtkVBox" id="vbox1">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <child>
          <object class="GtkToolbar" id="toolbar2">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="icon_size">2</property>
            <child>
              <object class="GtkToolButton" id="refresh">
                <property name="use_action_appearance">False</property>
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_text" translatable="yes">Refresh device list.</property>
                <property name="label" translatable="yes">Refresh</property>
                <property name="use_underline">True</property>
                <property name="stock_id">gtk-refresh</property>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="homogeneous">True</property>
              </packing>
            </child>
            <child>
              <object class="GtkToolButton" id="quit">
                <property name="use_action_appearance">False</property>
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_text" translatable="yes">Quit application.</property>
                <property name="label" translatable="yes">Quit</property>
                <property name="use_underline">True</property>
                <property name="stock_id">gtk-quit</property>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="homogeneous">True</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">True</property>
            <property name="position">0</property>
          </packing>
        </child>
        <child>
          <object class="GtkHBox" id="hbox1">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <child>
              <object class="GtkScrolledWindow" id="scrolledwindow1">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="hscrollbar_policy">automatic</property>
                <property name="vscrollbar_policy">automatic</property>
                <property name="shadow_type">in</property>
                <child>
                  <object class="GtkTreeView" id="devview">
                    <property name="visible">True</property>
                    <property name="can_focus">True</property>
                    <property name="has_focus">True</property>
                    <property name="model">devlist</property>
                    <property name="rules_hint">True</property>
                    <property name="search_column">0</property>
                    <child>
                      <object class="GtkTreeViewColumn" id="treeviewcolumn1">
                        <property name="title" translatable="yes">Device</property>
                        <property name="clickable">True</property>
                        <property name="reorderable">True</property>
                        <property name="sort_indicator">True</property>
                        <property name="sort_column_id">0</property>
                        <child>
                          <object class="GtkCellRendererText" id="cellrenderertext1"/>
                          <attributes>
                            <attribute name="text">0</attribute>
                          </attributes>
                        </child>
                      </object>
                    </child>
                    <child>
                      <object class="GtkTreeViewColumn" id="treeviewcolumn2">
                        <property name="title" translatable="yes">Label</property>
                        <property name="expand">True</property>
                        <property name="clickable">True</property>
                        <property name="reorderable">True</property>
                        <property name="sort_indicator">True</property>
                        <property name="sort_column_id">1</property>
                        <child>
                          <object class="GtkCellRendererText" id="cellrenderertext2"/>
                          <attributes>
                            <attribute name="text">1</attribute>
                          </attributes>
                        </child>
                      </object>
                    </child>
                    <child>
                      <object class="GtkTreeViewColumn" id="treeviewcolumn3">
                        <property name="title" translatable="yes">Filesystem</property>
                        <property name="clickable">True</property>
                        <property name="reorderable">True</property>
                        <property name="sort_indicator">True</property>
                        <property name="sort_column_id">2</property>
                        <child>
                          <object class="GtkCellRendererText" id="cellrenderertext3"/>
                          <attributes>
                            <attribute name="text">2</attribute>
                          </attributes>
                        </child>
                      </object>
                    </child>
                    <child>
                      <object class="GtkTreeViewColumn" id="treeviewcolumn4">
                        <property name="title" translatable="yes">Size</property>
                        <property name="clickable">True</property>
                        <property name="reorderable">True</property>
                        <property name="sort_indicator">True</property>
                        <property name="sort_column_id">3</property>
                        <child>
                          <object class="GtkCellRendererText" id="cellrenderertext4"/>
                          <attributes>
                            <attribute name="text">3</attribute>
                          </attributes>
                        </child>
                      </object>
                    </child>
                    <child>
                      <object class="GtkTreeViewColumn" id="treeviewcolumn5">
                        <property name="title" translatable="yes">Mounted</property>
                        <child>
                          <object class="GtkCellRendererToggle" id="cellrenderertext5"/>
                          <attributes>
                            <attribute name="active">4</attribute>
                          </attributes>
                        </child>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
              <packing>
                <property name="expand">True</property>
                <property name="fill">True</property>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkToolbar" id="toolbar1">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="orientation">vertical</property>
                <property name="icon_size">2</property>
                <child>
                  <object class="GtkToolButton" id="mount">
                    <property name="use_action_appearance">False</property>
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="tooltip_text" translatable="yes">Mount selected device and open folder to view contents.</property>
                    <property name="label" translatable="yes">Mount</property>
                    <property name="use_underline">True</property>
                    <property name="stock_id">gtk-directory</property>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="homogeneous">True</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkToolButton" id="umount">
                    <property name="use_action_appearance">False</property>
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="tooltip_text" translatable="yes">Un-mount selected device and close all open folders.</property>
                    <property name="label" translatable="yes">Un-mount</property>
                    <property name="use_underline">True</property>
                    <property name="stock_id">gtk-stop</property>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="homogeneous">True</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkToolButton" id="remove">
                    <property name="use_action_appearance">False</property>
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="tooltip_text" translatable="yes">Prepare selected device for safe removal (USB device only).</property>
                    <property name="label" translatable="yes">Safely remove</property>
                    <property name="use_underline">True</property>
                    <property name="stock_id">gtk-disconnect</property>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="homogeneous">True</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkToolButton" id="play">
                    <property name="use_action_appearance">False</property>
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="tooltip_text" translatable="yes">Start media player on selected device.</property>
                    <property name="label" translatable="yes">Play</property>
                    <property name="use_underline">True</property>
                    <property name="stock_id">gtk-media-play</property>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="homogeneous">True</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkToolButton" id="eject">
                    <property name="use_action_appearance">False</property>
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="tooltip_text" translatable="yes">Eject selected optical disc.</property>
                    <property name="label" translatable="yes">Eject</property>
                    <property name="use_underline">True</property>
                    <property name="stock_id">gtk-media-stop</property>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="homogeneous">True</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkToolButton" id="check">
                    <property name="use_action_appearance">False</property>
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="tooltip_text" translatable="yes">Check integrity of selected device and fix them.</property>
                    <property name="label" translatable="yes">Check and fix</property>
                    <property name="use_underline">True</property>
                    <property name="stock_id">gtk-execute</property>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="homogeneous">True</property>
                  </packing>
                </child>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">True</property>
                <property name="position">1</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">True</property>
            <property name="fill">True</property>
            <property name="position">1</property>
          </packing>
        </child>
      </object>
    </child>
  </object>
</interface>
